<template>
  <cv-modal ref="modal">
    <template slot="label">
      AcubeSAT
    </template>
    <template slot="title">
      Link Budget Playground
    </template>
    <template slot="content">
      <p>
        Designed by the
        <cv-link href="https://asat.gr/projects/cubesat/">
          AcubeSAT
        </cv-link>
        team in <cv-link href="https://vuejs.org/">
          Vue.js
        </cv-link> using the
        IBM
        <cv-link
          href="https://www.carbondesignsystem.com/"
        >
          Carbon Design System
        </cv-link>.
      </p>
      <h2 class="bx--modal-heading">
        Additional Credits
      </h2>
      <h3 class="bx--modal-product">
        Earth
      </h3>
      <p>
        <span class="bx--modal-library">3D Library</span>:
        <cv-link
          class="bx--modal-author"
          href="https://threejs.org/"
        >
          three.js
        </cv-link><br>
        <span class="bx--modal-library">WebGL Earth</span>:
        <cv-link
          class="bx--modal-author"
          href="https://blog.mastermaps.com/2013/09/creating-webgl-earth-with-threejs.html"
        >
          Bjorn Sandvik
        </cv-link><br>
        <span class="bx--modal-library">Earth Textures</span>:
        <span class="bx--modal-author">Tom Patterson,
          <cv-link
            href="http://www.shadedrelief.com/natural3/pages/textures.html"
          >
            Natural Earth III
          </cv-link></span>
      </p>
    </template>
  </cv-modal>
</template>

<script>
import "../styles/_modal.scss";

export default {
  name: "About",
  methods: {
    show: function() {
      this.$refs.modal.show();
    }
  }
};
</script>

<style lang="scss"></style>
